Package com.verisign.epp.codec.mark

## Class EPPCourt

- java.lang.Object
- - com.verisign.epp.codec.mark.EPPCourt

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPCourt
      extends java.lang.Object
      implements EPPCodecComponent

  Class for a Court that can be included in the list of courts contained in the `EPPMark`.
  See Also:
    `EPPMark`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | Constant for the court local name
    `static java.lang.String` | `ELM_NAME` | Constant for the court tag

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPCourt()` | Create an `EPPCourt` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addContact​(EPPMarkContact aContact)` | Adds a contact to the list of contacts of the court.
    `void` | `addHolder​(EPPMarkContact aHolder)` | Adds a holder to the list of holders of the court.
    `void` | `addLabel​(java.lang.String aLabel)` | Adds a domain name label to the domain name labels that corresponds to the court.
    `void` | `addRegions​(java.lang.String aRegion)` | Adds a region to the list or regions where the mark is protected.
    `java.lang.Object` | `clone()` | Clone `EPPCourt`.
    `void` | `decode​(byte[] aMarkArray)` | Decode the `EPPCourt` attributes from the input `byte[]`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the `EPPCourt` component
    `byte[]` | `encode()` | Encode the court to a `byte[]`.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Sets all this instance's data in the given XML document
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPCourt` compare.
    `java.lang.String` | `getCc()` | Gets two-character code of the country where the court is located from [ISO3166-2].
    `java.util.List<EPPMarkContact>` | `getContacts()` | Gets contacts of the court.
    `java.lang.String` | `getCourtName()` | Gets the name of the court.
    `java.lang.String` | `getGoodsAndServices()` | Gets full description of the goods and services mentioned in the treaty or statute registration document.
    `java.util.List<EPPMarkContact>` | `getHolders()` | Gets holders of the court.
    `java.lang.String` | `getId()` | Gets the identifier for the court.
    `java.util.List<java.lang.String>` | `getLabels()` | Gets the domain name labels that corresponds to the court.
    `java.lang.String` | `getName()` | Gets the registered court text string.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.util.Date` | `getProDate()` | Gets the date of protection of the mark.
    `java.lang.String` | `getRefNum()` | Gets the reference number of the mark of the court's opinion.
    `java.util.List<java.lang.String>` | `getRegions()` | Gets the regions where the mark is protected.
    `void` | `setCc​(java.lang.String aCc)` | Sets two-character code of the country where the court is located from [ISO3166-2].
    `void` | `setContacts​(java.util.List<EPPMarkContact> aContacts)` | Sets contacts of the court.
    `void` | `setCourtName​(java.lang.String aCourtName)` | Sets the name of the court.
    `void` | `setGoodsAndServices​(java.lang.String aGoodsAndServices)` | Sets full description of the goods and services mentioned in the treaty or statute registration document.
    `void` | `setHolders​(java.util.List<EPPMarkContact> aHolders)` | Sets holders of the court.
    `void` | `setId​(java.lang.String aId)` | Sets the identifier for the court.
    `void` | `setLabels​(java.util.List<java.lang.String> aLabels)` | Sets the domain name labels that corresponds to the court.
    `void` | `setName​(java.lang.String aName)` | Sets the registered court text string.
    `void` | `setProDate​(java.util.Date aProDate)` | Sets the date of protection of the mark.
    `void` | `setRefNum​(java.lang.String aRefNum)` | Sets the reference number of the mark of the court's opinion.
    `void` | `setRegions​(java.util.List<java.lang.String> aRegions)` | Sets the regions where the mark is protected.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the court local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the court tag
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPCourt

          public EPPCourt()

      Create an `EPPCourt` instance. Use the setter methods to set the attributes of the instance.

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPCourt`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPCourt`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### encode

          public byte[] encode()
                        throws EPPEncodeException

      Encode the court to a `byte[]`.
      Returns:
        Encoded court
      Throws:
        `EPPEncodeException` - Error encoding the court

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Sets all this instance's data in the given XML document
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - a DOM Document to attach data to.
      Returns:
        The root element of this component.
      Throws:
        `EPPEncodeException` - Thrown if any errors prevent encoding.

    - #### decode

          public void decode​(byte[] aMarkArray)
                      throws EPPDecodeException

      Decode the `EPPCourt` attributes from the input `byte[]`.
      Parameters:
        `aMarkArray` - `byte[]` to decode the attribute values
      Throws:
        `EPPDecodeException` - Error decoding the `byte[]`.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPCourt` component
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root element of the `EPPCourt`
      Throws:
        `EPPDecodeException` - Error decoding the `EPPCourt`

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPCourt` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPCourt` instance to compare with
      Returns:
        true if equal false otherwise

    - #### getId

          public java.lang.String getId()

      Gets the identifier for the court.
      Returns:
        The identifier for the court if set; `null` otherwise.

    - #### setId

          public void setId​(java.lang.String aId)

      Sets the identifier for the court.
      Parameters:
        `aId` - Identifier for the court

    - #### getName

          public java.lang.String getName()

      Gets the registered court text string.
      Returns:
        The registered court text string if set; `null` otherwise.

    - #### setName

          public void setName​(java.lang.String aName)

      Sets the registered court text string.
      Parameters:
        `aName` - the registered court text string

    - #### getHolders

          public java.util.List<EPPMarkContact> getHolders()

      Gets holders of the court.
      Returns:
        the holders of the court if set; Empty `List` otherwise.

    - #### setHolders

          public void setHolders​(java.util.List<EPPMarkContact> aHolders)

      Sets holders of the court.
      Parameters:
        `aHolders` - the holders of the court

    - #### addHolder

          public void addHolder​(EPPMarkContact aHolder)

      Adds a holder to the list of holders of the court.
      Parameters:
        `aHolder` - Holder to add to list of holders of the court.

    - #### getContacts

          public java.util.List<EPPMarkContact> getContacts()

      Gets contacts of the court.
      Returns:
        the contacts of the court if set; Empty `List` otherwise.

    - #### setContacts

          public void setContacts​(java.util.List<EPPMarkContact> aContacts)

      Sets contacts of the court.
      Parameters:
        `aContacts` - the contacts of the court

    - #### addContact

          public void addContact​(EPPMarkContact aContact)

      Adds a contact to the list of contacts of the court.
      Parameters:
        `aContact` - Contact to add to list of contacts of the court.

    - #### getLabels

          public java.util.List<java.lang.String> getLabels()

      Gets the domain name labels that corresponds to the court.
      Returns:
        the domain name labels that corresponds to the court if set; Empty `List` otherwise.

    - #### setLabels

          public void setLabels​(java.util.List<java.lang.String> aLabels)

      Sets the domain name labels that corresponds to the court.
      Parameters:
        `aLabels` - the domain name labels that corresponds to the treaty or statute

    - #### addLabel

          public void addLabel​(java.lang.String aLabel)

      Adds a domain name label to the domain name labels that corresponds to the court.
      Parameters:
        `aLabel` - Domain name label to add.

    - #### getGoodsAndServices

          public java.lang.String getGoodsAndServices()

      Gets full description of the goods and services mentioned in the treaty or statute registration document.
      Returns:
        The goods and services if set; `null` otherwise.

    - #### setGoodsAndServices

          public void setGoodsAndServices​(java.lang.String aGoodsAndServices)

      Sets full description of the goods and services mentioned in the treaty or statute registration document.
      Parameters:
        `aGoodsAndServices` - The goods and services

    - #### getRefNum

          public java.lang.String getRefNum()

      Gets the reference number of the mark of the court's opinion.
      Returns:
        Reference number of the mark of the court's opinion if defined; `null` otherwise.

    - #### setRefNum

          public void setRefNum​(java.lang.String aRefNum)

      Sets the reference number of the mark of the court's opinion.
      Parameters:
        `aRefNum` - Reference number of the mark of the court's opinion.

    - #### getProDate

          public java.util.Date getProDate()

      Gets the date of protection of the mark.
      Returns:
        The date of protection of the mark if defined; `null` otherwise.

    - #### setProDate

          public void setProDate​(java.util.Date aProDate)

      Sets the date of protection of the mark.
      Parameters:
        `aProDate` - The date of protection of the mark.

    - #### getCc

          public java.lang.String getCc()

      Gets two-character code of the country where the court is located from [ISO3166-2].
      Returns:
        Two-character code of the country where the court is located if set; `null` otherwise.

    - #### setCc

          public void setCc​(java.lang.String aCc)

      Sets two-character code of the country where the court is located from [ISO3166-2].
      Parameters:
        `aCc` - Two-character code of the country where the court is located from [ISO3166-2].

    - #### getRegions

          public java.util.List<java.lang.String> getRegions()

      Gets the regions where the mark is protected. A region is the name of a city, state, province or other geographic location.
      Returns:
        The regions where the mark is protected if set; Empty `List` otherwise.

    - #### setRegions

          public void setRegions​(java.util.List<java.lang.String> aRegions)

      Sets the regions where the mark is protected. A region is the name of a city, state, province or other geographic location.
      Parameters:
        `aRegions` - The regions where the mark is protected.

    - #### addRegions

          public void addRegions​(java.lang.String aRegion)

      Adds a region to the list or regions where the mark is protected.
      Parameters:
        `aRegion` - Region where the mark is protected.

    - #### getCourtName

          public java.lang.String getCourtName()

      Gets the name of the court.
      Returns:
        The name of the court if set; `null` otherwise.

    - #### setCourtName

          public void setCourtName​(java.lang.String aCourtName)

      Sets the name of the court.
      Parameters:
        `aCourtName` - The name of the court.

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.